Package wx :: Package lib :: Module inspection

[frames | no frames]

## Module wx.lib.inspection

Classes
`FlagsFormatter` |
`InspectionFrame` | This class is the frame that holds the wxPython inspection tools.
`InspectionInfoPanel` | Used to display information about the currently selected items.
`InspectionTool` | The InspectionTool is a singleton that manages creating and showing an InspectionFrame.
`InspectionTree` | All of the widgets in the app, and optionally their sizers, are loaded into this tree.

Function Summary
| `getFindBitmap()`
| `getFindData()`
| `getFindImage()`
| `getIconBitmap()`
| `getIconData()`
| `getIconIcon()`
| `getIconImage()`
| `getRefreshBitmap()`
| `getRefreshData()`
| `getRefreshImage()`
| `getShowFillingBitmap()`
| `getShowFillingData()`
| `getShowFillingImage()`
| `getShowSizersBitmap()`
| `getShowSizersData()`
| `getShowSizersImage()`

Variable Summary
`dict` | `flexmodeFlags` = `{0: 'wx.FLEX_GROWMODE_NONE', 1: 'wx.FLEX...`
`bool` | `INCLUDE_INSPECTOR` = `True`
`dict` | `itemFlags` = `{64: 'wx.TOP', 128: 'wx.BOTTOM', 256: 'wx.AL...`
`dict` | `orientFlags` = `{8: 'wx.VERTICAL', 4: 'wx.HORIZONTAL'}`

Variable Details

### flexmodeFlags

  Type:
    `dict`
  Value:

        {0: 'wx.FLEX_GROWMODE_NONE',
         1: 'wx.FLEX_GROWMODE_SPECIFIED',
         2: 'wx.FLEX_GROWMODE_ALL'}

### INCLUDE_INSPECTOR

  Type:
    `bool`
  Value:

        True

### itemFlags

  Type:
    `dict`
  Value:

        {0: 'wx.ADJUST_MINSIZE',
         16: 'wx.LEFT',
         32: 'wx.RIGHT',
         64: 'wx.TOP',
         128: 'wx.BOTTOM',
         256: 'wx.ALIGN_CENTER_HORIZONTAL',
         512: 'wx.ALIGN_RIGHT',
         1024: 'wx.ALIGN_BOTTOM',
        ...

### orientFlags

  Type:
    `dict`
  Value:

        {8: 'wx.VERTICAL', 4: 'wx.HORIZONTAL'}

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:18 2007 | http://epydoc.sf.net